.upgrades_section {
    background: var(--primary);
    & .sub_title_wrapper  {
        text-align: center;
        & span {
            color: var(--secondary);
            text-transform: uppercase; 
            font-size: 16px; 
            font-weight: 600;
        }
    }
    & .title_wrapper {
        text-align: center;
        margin-bottom: 20px;
        margin-top: 20px;
        & h2 { 
            color: var(--white);
            text-align: center;
            font-size: 40px;
            font-weight: 600;
            margin-bottom: 20px;
            max-width: 900px;
            margin: 0 auto;
        }
    }
    & .upgrades_content_top {
        text-align: center;
        margin-bottom: 20px;
        margin-top: 20px;
        & p { 
            color: var(--white);
            text-align: center;
            max-width: 900px;
            margin: 0 auto;
        }
    }
    & .break_block_title {
        & .block_title {
            align-items: flex-start!important;
            flex-direction: column;
            & h3 {
                margin-top: 20px!important;
                line-height: 1.4;
            }
        }
        & .block {
            justify-content: flex-start!important;
        }
    }
    & .upgrade_blocks_wrapper {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 30px;
        margin: 60px auto;
        @media (max-width: 1024px) {
            grid-template-columns: 1fr 1fr;
        }
        & .block {
            background: var(--secondary-light);
            border-radius: 5px;
            padding: 20px;
            min-height: 200px;
            display: flex;
            flex-direction: column;
            justify-content: center;
            box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
            


            & .block_title {
                display: flex;
                align-items: center;
                margin-bottom: 20px;
                & .icon_wrapper {
                    width: 29px;
                    height: 29px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin-right: 10px;
                }
                
                & h3 {
                    color: var(--white);
                    font-size: 20px;
                    font-weight: 600;
                    margin: 0;
                    @media (max-width: 1024px) {
                        font-size: 18px!important;
                    }
                }
            }

            & .upgrade_block {
                
                & p {
                    margin: 0;
                    font-size: 16px;
                    line-height: 1.5;
                    color: var(--white);
                }
            }
        }
    }
    & .upgrade_blocks_wrapper.four_column {
        grid-template-columns: repeat(4, 1fr)!important; 
        @media (max-width: 1024px) {
            grid-template-columns: repeat(2, 1fr)!important;
        }
    }
    & .upgrade_blocks_wrapper.five_column {
        grid-template-columns: repeat(5, 1fr)!important;
        @media (max-width: 1024px) {
            grid-template-columns: repeat(3, 1fr)!important;
        }
        @media (max-width: 991px) {
            grid-template-columns: 1fr!important;
        }
    }
    & .upgrade_blocks_wrapper.six_column {
        grid-template-columns: repeat(6, 1fr) !important;
        @media (max-width: 1024px) {
            grid-template-columns: repeat(3, 1fr)!important;
        }
        @media (max-width: 991px) {
            grid-template-columns: 1fr!important;
        }
    }
    & .content_wrapper {
        text-align: center;
        margin-top: 20px;
        margin-bottom: 20px;
        & p {
            color: var(--white);
            font-size: 16px;
            font-weight: 400;
            line-height: 1.5;
            max-width: 900px;
            margin: 0 auto;
        }
        em {
            color: var(--secondary);
        }
    }

    & .quote_button_wrapper {
        margin-top: 20px;
        margin-bottom: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    & .call_to_action_buttons {
        margin: 4rem 0 0;
        justify-content: center;
        gap: 40px;

        &  a.button.button-primary {
            color: var(--white) !important;
            background: var(--secondary) !important;
            font-weight: bold;
            font-size: 14px;
            border:none; 
            box-shadow: none;
            margin-top: 20px;
            display: flex;
            align-items: center;
            justify-content: center;
            margin: 0!important;
            &:hover {   
                background: var(--primary) !important;
            }
            .phone_icon {
                margin-right: 1rem;
            }
            span {
                font-size: 14px;
                font-weight: bold;
                color: var(--white) !important;
            }
        }

        & a.white_button {
            display: flex;
            align-items: center;
            text-decoration: none;
            
            & span {
                color: #fff;
            }

            & .quote_icon {
                margin-right: 1rem;
            }

            & .first {
               font-size: 22px;
               font-weight: bold;
               text-decoration: underline;
            }

            & .second {
               display: block;
               margin-top: 0.5rem;
             }

            & .quote_text {
                display: flex;
                flex-direction: column;
            }
        }
    }

    @media (max-width: 1200px) {
        & .upgrade_blocks_wrapper {
            grid-template-columns: repeat(3, 1fr)!important;
        }
    }

    @media (max-width: 991px) {
        & .upgrade_blocks_wrapper {
            grid-template-columns: repeat(2, 1fr)!important;
        }
    }

    @media (max-width: 576px) {
        & .upgrade_blocks_wrapper {
            grid-template-columns: 1fr!important;
        }
    }
}